package routes

import (
	"github.com/gofiber/fiber/v2"
	"ulmer-furs.de/pretix-proxy/v2/app/controller"
)

func PublicRoutes(app *fiber.App) {
	apiv1 := app.Group("/api/v1/public")
	attendies := apiv1.Group("/attendies")
	apiv1.Post("/login", controller.LoginUser)
	apiv1.Get("/event", controller.ReturnAllEventsPublic)
	apiv1.Get("/ping", controller.Ping)
	attendies.Get("/:name", controller.GetAttendiesByEvent)
}
